<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" >

<head>

<title><?php print $head_title ?></title>

<meta http-equiv="content-style-type" content="text/css" />
<meta http-equiv="content-type" content="text/html;charset=utf-8" />

<?php print $head ?>
<?php print $styles ?>

<!-- wd's implement -->

</head>

<body <?php print theme("onload_attribute"); ?>>

<!-- DETECT LEFT&RIGHT TO VARIABLE $d_isleftonly, $d_isrightonly & $d_isboth -->
<?php global $d_isleftonly, $d_isrightonly, $d_isboth ?>
<?php if ($sidebar_left) : ?>
  <?php if ($sidebar_right) : ?>
    <?php $d_isboth=true ?>
  <?php else: ?>
    <?php $d_isleftonly=true ?>
  <?php endif; ?> 
<?php else: ?>
  <?php if ($sidebar_right) : ?>
    <?php $d_isrightonly=true ?>
  <?php endif; ?>
<?php endif; ?>

<!-- GLOBAL CONTAINER -->
<div id="gcontainer">

<!-- HEADER -->
<div id="hcontainer" class="wminwidth hheight">

<div id="header" class="minwidth">
  <?php if ($d_isboth): ?>
    <div class="h-tl"><div class="h-tr">
  <?php else: ?>
    <?php if ($d_isleftonly): ?>
      <div class="h-tlmax"><div class="blank">
    <?php else: ?>
      <div class="blank"><div class="h-trmax">
    <?php endif; ?>
  <?php endif; ?> 

  <div id="head_gal">
    Insert image here<br>
    id="head_gal"
  </div>
  <div class="iheader">
    <div class="secondary">
      <?php if (is_array($secondary_links)) : ?>
        <ul id="secondary">
          <?php foreach ($secondary_links as $link): ?>
            <li><?php print $link?></li>
          <?php endforeach; ?>
        </ul>
      <?php endif; ?>
    </div>
    <div class="logo">
      <?php if ($logo) : ?>
        <a href=" <?php print url() ?> " title="Index Page"><img src="<?php print($logo) ?>" title="Drupal" alt="Drupal" /></a>
      <?php endif; ?>
    </div>
    <?php if ($site_name) : ?>
      <div class="myname">
        <a href="<?php print url() ?>">
          <?php print($site_name) ?>
        </a>
      </div>
    <?php endif;?>
    <?php if ($site_slogan) : ?>
      <div class="myslogan">
        <?php print($site_slogan) ?>
      </div>
    <?php endif;?>
    <div class="endcontainer">&nbsp;</div>
  </div></div></div>
</div>

</div>

<div id="ncontainer" class="wminwidth nheight">

<!-- NAVIGATION -->
<div id="navigation">
  <?php if ($d_isboth): ?>
    <div class="n-tl"><div class="n-tr">
  <?php else: ?>
    <?php if ($d_isleftonly): ?>
      <div class="n-tlmax"><div class="blank">
    <?php else: ?>
      <div class="blank"><div class="n-trmax">
    <?php endif; ?>
  <?php endif; ?> 

  <div class="inav">
    <?php if (is_array($primary_links)) : ?>
      <ul id="primary">
        <?php foreach ($primary_links as $link): ?>
          <li><?php print $link?></li>
        <?php endforeach; ?>
      </ul>
    <?php endif; ?>
    <div class="endcontainer">&nbsp;</div>
  </div></div></div>
</div>

</div>

<!-- MAIN CONTENT -->
<div id="ccontainer" class="wminwidth">
  <?php if ($d_isboth): ?>
    <div class="c-tl"><div class="c-tr">
  <?php else: ?>
    <?php if ($d_isleftonly): ?>
      <div class="c-tlmax"><div class="blank">
    <?php else: ?>
      <div class="blank"><div class="c-trmax">
    <?php endif; ?>
  <?php endif; ?> 

  <div id="dleftcol">
    <?php if ($d_isboth): ?>
      <div class="withcol">
    <?php else: ?>
      <?php if ($d_isleftonly): ?>
        <div class="withcolmax">
      <?php else: ?>
        <div class="nocol">
      <?php endif; ?>
    <?php endif; ?> 
    <?php print $sidebar_left; ?>
  </div></div>

  <div id="drightcol">
    <?php if ($d_isboth): ?>
      <div class="withcol">
    <?php else: ?>
      <?php if ($d_isrightonly): ?>
        <div class="withcolmax">
      <?php else: ?>
        <div class="nocol">
      <?php endif; ?>
    <?php endif; ?> 
    <?php print $sidebar_right; ?>
  </div></div>

  <div id="dmaincol">
    <?php if ($d_isboth): ?>
      <span class="withboth">
    <?php else: ?>
      <?php if ($d_isrightonly): ?>
        <span class="withright">
      <?php else: ?>
        <span class="withleft">
      <?php endif; ?>
    <?php endif; ?> 

    <!-- CONTENT -->
    <div id="breadcrumb">
      <?php if ($breadcrumb) : ?>
        <?php print $breadcrumb ?>
      <?php else: ?>
        &nbsp;
      <?php endif ?>
    </div>

    <?php if ($tabs != ""): ?>
      <?php print $tabs ?>
    <?php endif; ?>
    <?php if ($title != ""): ?>
      <h2 class="content-title"><?php print $title ?></h2>
    <?php endif; ?>
    <?php if ($mission != ""): ?>
      <div id="mission"><?php print $mission ?></div>
    <?php endif; ?>
    <?php if ($help != ""): ?>
      <div id="help"><?php print $help ?></div>
    <?php endif; ?>
    <?php if ($messages != ""): ?>
      <div id="message"><?php print $messages ?></div>
    <?php endif; ?>
    <!-- start main content -->
    <?php print($content) ?>
    <!-- end main content -->

    </span> <!-- WITH LEFT & WITH RIGHT -->
    </div> <!-- MAINCOL -->
    <div class="endcontainer">&nbsp;</div>
  </div></div>
</div> <!-- CCONTAINER -->

<div id="fcontainer" class="wminwidth">
  <?php if ($d_isboth): ?>
    <div class="f-tl"><div class="f-tr">
  <?php else: ?>
    <?php if ($d_isleftonly): ?>
      <div class="f-tlmax"><div class="blank">
    <?php else: ?>
      <div class="blank"><div class="f-trmax">
    <?php endif; ?>
  <?php endif; ?> 

  <div id="footer">
    <?php if ($footer_message) : ?>
      &nbsp; <?php print $footer_message; ?>
    <?php else: ?>
      &nbsp;
    <?php endif; ?>
  </div>

  <div class="endcontainer">&nbsp;</div>
  </div></div>
</div>

</div> <!-- GCONTAINER -->

<?php print $closure;?>



</body>
</html>
